Modules: News 1.4, updated version

Posted by: herveton 2005/8/17 18:33:35 11368 reads
Hello,

A new version of the News module has just been released.
This version corrects several bugs.
You can use it on a production website.


How to get the module
Simply go to its homepage :
http://dev.xoops.org/modules/xfmod/pr ... oup_id=1008&release_id=60


How to upgrade
Copy the files to your website and upgrade the module in the modules manager.
If you had a version 1.1, you must also launch this script :
http://www.example.com/modules/news/admin/upgrade.php
replace example.com with your website's name.


Important notes
1) If you had problem with the previous version, and especially a message like this one :
Smarty error: unable to read resource: "db:xxx.html" in file class/smarty/Smarty.class.php line 1084
Then you must update to this new version.
As I have reported it here, it's not possible, in Xoops 2.2.x
to have two blocks using the same html template file.
In the previous version (1.3.1.2) I have modified the file xoops_version.php to add a different file
for the "recent news" block and the "top news" block. Unfortunatly, this modification cause problems with Xoops 2.0.x
I have spent some time to search why but did not find any solution... ???
Xoops 2.2 users will not have two different blocks "top news" and "recent news" but just one.

2) I had many bugs reports about problems with author's name.
Those problems are related to Xoops 2.2.x.
For example when you edit an article you did not wrote, the author's name will not be visible in the
list of authors.

To conclude, you can use the News module with Xoops 2.2.x but you will have problems